package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.cognizance.bo.ActivityNumberBo;
import com.goafanti.common.model.OrgActivity;

public interface OrgActivityMapper {
    int deleteByPrimaryKey(String id);

    int insert(OrgActivity record);

    int insertSelective(OrgActivity record);

    OrgActivity selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OrgActivity record);

    int updateByPrimaryKey(OrgActivity record);

	int batchDeleteByPrimaryKey(List<String> id);

	List<ActivityNumberBo> selectOrgActivityNumberBoByUid(String uid);

	List<OrgActivity> selectAcivityList(Integer year, String uid);
}